Опубликованные шаблоны Campaign
/api/v1/developer/campaigns/templatesВозвращает безопасную проектную страницу опубликованных версий для bind_template и route-команд; без body, variables, approval, actor или project facts.
Право доступаcampaigns.read
Authorization: Bearer YOUR_PROJECT_TOKEN
Параметры
limitнеобязательно · queryintegerminimum: 1 · maximum: 100 · default: 50JSON Schema
{ "type": "integer", "minimum": 1, "maximum": 100, "default": 50 }cursorнеобязательно · querystringminLength: 1 · maxLength: 4096JSON Schema
{ "type": "string", "minLength": 1, "maxLength": 4096 }
Примеры запроса
curl --request GET \ 'https://YOUR_NOVA_HOST/api/v1/developer/campaigns/templates?limit=50' \ --header 'Authorization: Bearer YOUR_PROJECT_TOKEN'
Ответы
200 Published Campaign template selection catalog
application/jsonobject
templatesобязательно- arraymaxItems: 1000
Вложенная схема
arraymaxItems: 1000objecttemplateIdобязательно- stringminLength: 1 · maxLength: 160
versionобязательно- integerexclusiveMinimum: 0
nameобязательно- stringminLength: 1 · maxLength: 160
channelTypeобязательно- stringminLength: 1 · maxLength: 100
localeобязательно- stringminLength: 1 · maxLength: 100
JSON Schema
{ "type": "object", "properties": { "templateId": { "type": "string", "minLength": 1, "maxLength": 160 }, "version": { "type": "integer", "exclusiveMinimum": 0 }, "name": { "type": "string", "minLength": 1, "maxLength": 160 }, "channelType": { "type": "string", "minLength": 1, "maxLength": 100 }, "locale": { "type": "string", "minLength": 1, "maxLength": 100 } }, "required": [ "templateId", "version", "name", "channelType", "locale" ], "additionalProperties": false }JSON Schema
{ "type": "array", "items": { "type": "object", "properties": { "templateId": { "type": "string", "minLength": 1, "maxLength": 160 }, "version": { "type": "integer", "exclusiveMinimum": 0 }, "name": { "type": "string", "minLength": 1, "maxLength": 160 }, "channelType": { "type": "string", "minLength": 1, "maxLength": 100 }, "locale": { "type": "string", "minLength": 1, "maxLength": 100 } }, "required": [ "templateId", "version", "name", "channelType", "locale" ], "additionalProperties": false }, "maxItems": 1000 } nextCursor- string | null
JSON Schema
{
"type": "object",
"properties": {
"templates": {
"type": "array",
"items": {
"type": "object",
"properties": {
"templateId": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"version": {
"type": "integer",
"exclusiveMinimum": 0
},
"name": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"channelType": {
"type": "string",
"minLength": 1,
"maxLength": 100
},
"locale": {
"type": "string",
"minLength": 1,
"maxLength": 100
}
},
"required": [
"templateId",
"version",
"name",
"channelType",
"locale"
],
"additionalProperties": false
},
"maxItems": 1000
},
"nextCursor": {
"type": [
"string",
"null"
]
}
},
"required": [
"templates"
],
"additionalProperties": false,
"$ref": "#/components/schemas/DeveloperCampaignPublishedTemplatesResponse"
}400 Invalid Campaign template page
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}401 Invalid developer credential
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}403 Campaign directory unavailable
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}429 Developer API rate limit exceeded
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}503 Developer API rate limiter unavailable
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}